<?php
// vim: set ts=4 sw=4 sts=4 et:

namespace XLite\Module\XCExample\ProfileDemo\View\Page\Customer;

/**
 * Profile demo page view
 *
 * @ListChild (list="center")
 */
class ProfileDemo extends \XLite\View\AView
{
    /**
     * Return list of allowed targets
     *
     * @return array
     */
    public static function getAllowedTargets()
    {
        return array_merge(parent::getAllowedTargets(), array('profile_demo'));
    }

    /**
     * Return widget default template
     *
     * @return string
     */
    protected function getDefaultTemplate()
    {
        return 'modules/XCExample/ProfileDemo/page/profile_demo/body.twig';
    }

}